Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Public Member Functions | List of all members
ranges::views::repeat_n_fn Struct Reference

## Synopsis of methods
constexpr repeat_n_fn | repeat_n {}

## Public Member Functions
template<typename Val >
repeat_n_view< Val > | operator() (Val value, std::ptrdiff_t n) const

## Member Function Documentation

## ◆ operator()()

template<typename Val >

repeat_n_view<Val> ranges::views::repeat_n_fn::operator() | ( | Val | value,
|  | std::ptrdiff_t | n
| ) |  | const

Precondition
  requires `copy_constructible<Val>`